EDIT - feature request #6662

Adapt person formatting, set initials behind lastname
05/21/2017 10:10 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.8

Severity: critical

Description

... 80 it looks more like in bibliographic reference usage.
At the same time keep the old formatting as fulltitle so it can be used for person pages etc.
This is urgently needed for better formatting of references.
Open issue:
e update script for cache updating
e formatting
o with comma? => no one complained so far about the comma (though also the version without comma exists in literature)

o with empty space between initials? => no one complained so far about the current version without empty space
o which place to put et al. => et al. is not wanted (see #7305, #9326, #9624)

Related issues:

Related to EDIT - feature request #4311: Improve person representation in CDM Closed
Related to EDIT - task #9624: Centralize team formatting and fix et al. posit... Closed
Blocked by EDIT - feature request #6661: Add initials to Person Closed

Associated revisions

Revision 74081bf8 - 05/21/2017 10:33 PM - Andreas Miiller
fix #6662 adapt person formatting, put initials to end

History

#1 - 05/21/2017 10:10 PM - Andreas Miiller
- Blocked by feature request #6661: Add initials to Person added

#2 - 05/21/2017 10:11 PM - Andreas Miller

- Related to feature request #4311: Improve person representation in COM added

#3 - 05/21/2017 10:34 PM - Andreas Miiller
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 50

#4 - 05/21/2017 10:37 PM - Andreas Miuller

- Description updated

#5 - 05/21/2017 10:39 PM - Andreas Miuller

- Description updated

#6 - 05/14/2021 12:28 AM - Andreas Miiller

- Tags set to formatting

#7 - 05/14/2021 08:00 PM - Andreas Miuller
https://dev.e-taxonomy.eu/redmine/issues/7305
https://dev.e-taxonomy.eu/redmine/issues/9326
https://dev.e-taxonomy.eu/redmine/issues/9624

- Description updated
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#8 - 05/14/2021 08:01 PM - Andreas Miuller

- Related to task #9624: Centralize team formatting and fix et al. position handling added
